osl::eval::PtypeEvalTable Class Reference

`#include <ptypeEval.h>`

Inheritance diagram for osl::eval::PtypeEvalTable:

## Public Member Functions

| PtypeEvalTable ()
| ~PtypeEvalTable ()
void | init ()
int | value (PtypeO ptypeO) const
| 先手から見たptypeOの駒の価値
int | value (Ptype ptype) const
| ptypeの駒の価値
int | promoteValue (PtypeO ptypeO) const
| ptypeOにpromoteした時の評価値の増減
int | captureValue (PtypeO ptypeO) const
| ownerのptypeOがcaptureされた時の評価値の増減
int | diffWithMove (const NumEffectState &, Move move) const
void | reset (const CArray< int, PTYPE_SIZE > &values)

## Protected Attributes

CArray< int, PTYPEO_SIZE > | ptypeO2Val
CArray< int, PTYPEO_SIZE > | promoteVal
CArray< int, PTYPEO_SIZE > | captureVal

## Detailed Description

Definition at line 15 of file ptypeEval.h.

## Constructor & Destructor Documentation

## PtypeEvalTable()

osl::eval::PtypeEvalTable::PtypeEvalTable | ( |  | ) |

Definition at line 2 of file ptypeEval.cc.

References init().

## ~PtypeEvalTable()

osl::eval::PtypeEvalTable::~PtypeEvalTable | ( |  | ) |

Definition at line 22 of file ptypeEval.cc.

## Member Function Documentation

## captureValue()

int osl::eval::PtypeEvalTable::captureValue | ( | PtypeO | ptypeO | ) | const

inline

ownerのptypeOがcaptureされた時の評価値の増減

Definition at line 50 of file ptypeEval.h.

References captureVal, osl::isValidPtypeO(), and osl::PTYPEO_MIN.

Referenced by osl::eval::See::computeValue(), and diffWithMove().

## diffWithMove()

int osl::eval::PtypeEvalTable::diffWithMove | ( | const NumEffectState & | ,
|  | Move | move ) const

inline

Definition at line 54 of file ptypeEval.h.

References osl::Move::capturePtype(), osl::Move::capturePtypeO(), captureValue(), osl::Move::isPromotion(), promoteValue(), osl::PTYPE_EMPTY, and osl::Move::ptypeO().

## init()

void osl::eval::PtypeEvalTable::init | ( |  | ) |

Definition at line 6 of file ptypeEval.cc.

References reset().

Referenced by PtypeEvalTable().

## promoteValue()

int osl::eval::PtypeEvalTable::promoteValue | ( | PtypeO | ptypeO | ) | const

inline

ptypeOにpromoteした時の評価値の増減

Definition at line 43 of file ptypeEval.h.

References osl::isPromoted(), promoteVal, and osl::PTYPEO_MIN.

Referenced by osl::eval::See::computeValue(), and diffWithMove().

## reset()

void osl::eval::PtypeEvalTable::reset | ( | const CArray< int, PTYPE_SIZE > & | values | ) |

Definition at line 26 of file ptypeEval.cc.

References osl::CArray< T, Capacity >::begin(), osl::BLACK, osl::captured(), captureVal, osl::CArray< T, Capacity >::end(), osl::isPiece(), osl::newPtypeO(), promoteVal, osl::PTYPE_MAX, osl::PTYPE_MIN, ptypeO2Val, osl::PTYPEO_MAX, osl::PTYPEO_MIN, osl::unpromote(), value(), and osl::WHITE.

Referenced by init(), and osl::eval::ml::OpenMidEndingPtypeTable::OpenMidEndingPtypeTable().

## value() [1/2]

int osl::eval::PtypeEvalTable::value | ( | Ptype | ptype | ) | const

inline

ptypeの駒の価値

Definition at line 36 of file ptypeEval.h.

References osl::isValid(), ptypeO2Val, and osl::PTYPEO_MIN.

## value() [2/2]

int osl::eval::PtypeEvalTable::value | ( | PtypeO | ptypeO | ) | const

inline

先手から見たptypeOの駒の価値

Definition at line 29 of file ptypeEval.h.

References osl::isValidPtypeO(), ptypeO2Val, and osl::PTYPEO_MIN.

Referenced by reset().

## Member Data Documentation

## captureVal

CArray<int, PTYPEO_SIZE> osl::eval::PtypeEvalTable::captureVal

protected

Definition at line 20 of file ptypeEval.h.

Referenced by captureValue(), and reset().

## promoteVal

CArray<int, PTYPEO_SIZE> osl::eval::PtypeEvalTable::promoteVal

protected

Definition at line 19 of file ptypeEval.h.

Referenced by promoteValue(), and reset().

## ptypeO2Val

CArray<int, PTYPEO_SIZE> osl::eval::PtypeEvalTable::ptypeO2Val

protected

Definition at line 18 of file ptypeEval.h.

Referenced by reset(), value(), and value().

The documentation for this class was generated from the following files:

- ptypeEval.h
- ptypeEval.cc